/* -*- Mode: vala; tab-width: 4; intend-tabs-mode: t -*- */
/* trunk
 *
 * Copyright (C) Jake R. Capangpangan 2015 <camicrisystems@gmail.com>
 *
trunk is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * trunk is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

public class CubeInformation : GLib.Object {	
	
	public static const string application_name = "Camicri Cube Server";
	public static const string application_version = "0.1";
	public static const string application_revision = "98";
	public static const string project_version = "2";

	public static const string description = "Download Linux applications to any internet connected computers, and install it back to your original computer, offline.";
	public static const string short_description = "Portable Package Manager for Linux";

	public static const string[] authors = {"Jake R. Capangpangan <camicrisystems@gmail.com>"};
	public static const string[] translators = { } ;

	public static const string launchpad_url = "https://launchpad.net/cube-server";
	public static const string facebook_url = "https://facebook.com/camicrisystems";

	public static const string copyright = "Copyright (c) Camicri Systems 2010-2015";
	
	public static const string license = 
		"Camicri Cube is free software: you can redistribute it and/or modify it " +
		"under the terms of the GNU General Public License as published by the " + 
		"Free Software Foundation, either version 3 of the License, or " +
		"(at your option) any later version.\\n" +
		"\\n" +
		"Camicri Cube is distributed in the hope that it will be useful, but " +
		"WITHOUT ANY WARRANTY; without even the implied warranty of " +
		"MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. " +
		"See the GNU General Public License for more details.\\n" +
		"\\n" +
		"You should have received a copy of the GNU General Public License along " +
		"with this program.  If not, see <http://www.gnu.org/licenses/>.\\n";

}
