/* -*- Mode: vala; tab-width: 4; intend-tabs-mode: t -*- */
/* cube-server
 *
 * Copyright (C) Jake R. Capangpangan 2015 <camicrisystems@gmail.com>
 *
cube-server is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * cube-server is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
using Gee;

public class ServerPages : GLib.Object {

    public static string page_any ( CubeServerSystem css, TreeMap<string,string> get_data_map )
	{
		string content = "";
		string file = get_data_map["location"].split("/",2)[1] + ".html";
		
		file = Path.build_filename ( css.cube.base_manager.main_directory, "server", "html" , file );

		content = ServerAssets.get_file_contents(file);

		if ( content == null )
			return "";

		return content;
	}
}
